Skip to content

Remove the organization's Companies House API key (OWNER only)

DELETE
/organizations/current/companies-house-key
curl --request DELETE \
--url https://api.invogi.com/v1/organizations/current/companies-house-key \
--header 'Authorization: Bearer <token>'

Key removed

Media typeapplication/json
object
companiesHouseKeyConfigured
required
boolean

Example generated

{
"companiesHouseKeyConfigured": true
}

API key lacks required scope/role

Media typeapplication/json
object
error
required
object
code
required
string
Allowed values: NOT_FOUND UNAUTHORIZED FORBIDDEN INVALID_REQUEST CONFLICT RATE_LIMITED USAGE_LIMIT_EXCEEDED PROCESSING_FAILED
message
required
string
request_id
required
string

Example

{
"error": {
"code": "NOT_FOUND"
}
}